org.eclipse.graphiti.ui.internal.fixed

## Class FixedThumbnail

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.graphiti.ui.internal.fixed.FixedThumbnail

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure, org.eclipse.draw2d.UpdateListener

Direct Known Subclasses:
  FixedScrollableThumbnail

    public class FixedThumbnail
    extends org.eclipse.draw2d.Figure
    implements org.eclipse.draw2d.UpdateListener

The Class FixedThumbnail.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

### Field Summary

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
Constructor and Description
`FixedThumbnail()` Creates a new Thumbnail.
`FixedThumbnail(org.eclipse.draw2d.IFigure fig)` Creates a new Thumbnail with the given IFigure as its source figure.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `deactivate()` Deactivates this Thumbnail.
`org.eclipse.draw2d.geometry.Dimension` `getPreferredSize(int wHint, int hHint)` Returns the preferred size of this Thumbnail.
`void` `notifyPainting(org.eclipse.draw2d.geometry.Rectangle damage, java.util.Map dirtyRegions)` Notify painting.
`void` `notifyValidating()` Notify validating.
`void` `setDirty(boolean value)` Sets the dirty flag.
`void` `setSource(org.eclipse.draw2d.IFigure fig)` Sets the source Figure.

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FixedThumbnail

    public FixedThumbnail()

Creates a new Thumbnail. The source Figure must be set separately if you use this constructor.

#### FixedThumbnail

    public FixedThumbnail(org.eclipse.draw2d.IFigure fig)

Creates a new Thumbnail with the given IFigure as its source figure.

Parameters:
  `fig` - The source figure

### Method Detail

#### deactivate

    public void deactivate()

Deactivates this Thumbnail.

#### getPreferredSize

    public org.eclipse.draw2d.geometry.Dimension getPreferredSize(int wHint,
                                                                  int hHint)

Returns the preferred size of this Thumbnail. The preferred size will be calculated in a way that maintains the source Figure's aspect ratio.

Specified by:
  `getPreferredSize` in interface `org.eclipse.draw2d.IFigure`
Overrides:
  `getPreferredSize` in class `org.eclipse.draw2d.Figure`
Parameters:
  `wHint` - The width hint
  `hHint` - The height hint
Returns:
  The preferred size

#### notifyPainting

    public void notifyPainting(org.eclipse.draw2d.geometry.Rectangle damage,
                               java.util.Map dirtyRegions)

Notify painting.

Specified by:
  `notifyPainting` in interface `org.eclipse.draw2d.UpdateListener`
Parameters:
  `damage` - the damage
  `dirtyRegions` - the dirty regions
See Also:
  `UpdateListener.notifyPainting(Rectangle, Map)`

#### notifyValidating

    public void notifyValidating()

Notify validating.

Specified by:
  `notifyValidating` in interface `org.eclipse.draw2d.UpdateListener`
See Also:
  `UpdateListener.notifyValidating()`

#### setDirty

    public void setDirty(boolean value)

Sets the dirty flag.

Parameters:
  `value` - The dirty value

#### setSource

    public void setSource(org.eclipse.draw2d.IFigure fig)

Sets the source Figure. Also sets the scales and creates the necessary update manager.

Parameters:
  `fig` - The source figure